Skip to main content
POST
/
jurisdiction
/
find
/
all
Find jurisdictions
curl --request POST \
  --url https://api-stage.karmacheck.io/jurisdiction/find/all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "counties": [
    {
      "city": "Long Beach",
      "state": "CA",
      "county": "Los Angeles"
    },
    {
      "city": "Newport Beach",
      "state": "CA",
      "county": "Orange"
    }
  ]
}
'
import requests

url = "https://api-stage.karmacheck.io/jurisdiction/find/all"

payload = { "counties": [
{
"city": "Long Beach",
"state": "CA",
"county": "Los Angeles"
},
{
"city": "Newport Beach",
"state": "CA",
"county": "Orange"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
counties: [
{city: 'Long Beach', state: 'CA', county: 'Los Angeles'},
{city: 'Newport Beach', state: 'CA', county: 'Orange'}
]
})
};

fetch('https://api-stage.karmacheck.io/jurisdiction/find/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "list": [
    {
      "name": "LOS ANGELES",
      "stateCode": "CA",
      "state": "CALIFORNIA",
      "jurisdictionType": "county"
    },
    {
      "name": "ORANGE",
      "stateCode": "CA",
      "state": "CALIFORNIA",
      "jurisdictionType": "county"
    },
    {
      "name": "California Central District Court",
      "district": "Central",
      "stateCode": "CA",
      "state": "CALIFORNIA",
      "county": "LOS ANGELES",
      "jurisdictionType": "federal-district"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
counties
JurisdictionCounties · object[]

Response

OK

list
JurisdictionsFederalDistrictCourtAndCounty · object[]